GroovydocAccess (Gradle API 7.6.3)

Package org.gradle.api.tasks.javadoc

## Enum GroovydocAccess

- java.lang.Object
- - java.lang.Enum<GroovydocAccess>
  - - org.gradle.api.tasks.javadoc.GroovydocAccess

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<GroovydocAccess>`

      public enum GroovydocAccess
      extends java.lang.Enum<GroovydocAccess>

  Represents the setting for the access levels that are included in the Groovydoc.

  Each level include all less restrictive access levels, e.g. `PACKAGE` also includes items with protected and public access.

  Since:
    7.5

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `PACKAGE` |
    `PRIVATE` |
    `PROTECTED` |
    `PUBLIC` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static GroovydocAccess` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static GroovydocAccess[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PRIVATE

          public static final GroovydocAccess PRIVATE

    - #### PACKAGE

          public static final GroovydocAccess PACKAGE

    - #### PROTECTED

          public static final GroovydocAccess PROTECTED

    - #### PUBLIC

          public static final GroovydocAccess PUBLIC

  - ### Method Detail

    - #### values

          public static GroovydocAccess[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (GroovydocAccess c : GroovydocAccess.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static GroovydocAccess valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null